Articles in this section
Category / Section

How to create an example of React DateRangePicker component using bootstrap theme?

2 mins read

A quick start project that helps you to create a React DateRangePicker component in the Bootstrap theme.

React DateRangePicker

The following section explains the steps required to create a simple React DateRangePicker component.

Introduction

The React DateRangePicker used in this project is created from the Syncfusion ej2-react-calendars package. You can simply define it as < DateRangePickerComponent >.

Dependencies

Before starting this project, the React DateRangePicker requires to add the Syncfusion ej2-react-calendars  package from the  npmjs, which is distributed in the npm as @syncfusion scoped packages.

Creating React Project

To create the React project using the React app, follow the steps given below.

To install the create-react-app package, please run the following command.

npm install -g create-react-app

 

Now, create a new React project by using the command and navigate to that folder.

create-react-app <project name>--scripts-version=react-scripts-ts
cd <project name>

 

Install the ej2-react-calendars package through the npm install command.

npm install @syncfusion/ej2-react-calendars –save

 

Creating React DateRangePicker

To include the DateRangePicker component in your application, import the DateRangePicker Component from the ej2-react-calendars package in App.jsx

[App.js]

import { DateRangePickerComponent } from '@syncfusion/ej2-react-calendars';
import React, { Component } from 'react';
import './App.css';
 
class App extends Component {
  start= new Date("10/7/2020");
  end= new Date("11/15/2020");
  render() {
    return (<DateRangePickerComponent id="daterangepicker" placeholder='Select a range' startDate={this.start} endDate={this.end} />);
  }
}

 

Adding CSS Reference

To render the DateRangePicker component in the Bootstrap theme, you need to import the DateRangePicker and its dependent component’s styles in App.css.

[App.css]

@import "../node_modules/@syncfusion/ej2-base/styles/bootstrap.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/bootstrap.css";
@import "../node_modules/@syncfusion/ej2-lists/styles/bootstrap.css";
@import "../node_modules/@syncfusion/ej2-inputs/styles/bootstrap.css";
@import "../node_modules/@syncfusion/ej2-popups/styles/bootstrap.css";
@import "../node_modules/@syncfusion/ej2-react-calendars/styles/bootstrap.css";

 

Run the application with the npm start command in the console, it will build your application and open in the browser.

 

Screenshot

Daterangepicker

Also, you can download and run the sample from this link https://www.syncfusion.com/downloads/support/directtrac/general/ze/React_Datrangepicker745928651

For more information about the DateRangePicker functionalities, refer to this UG Documentation, API Reference and Samples.


Conclusion

I hope you enjoyed learning about how to create an example of the react daterangepicker component using Bootstrap theme.

You can refer to our React Date Range Picker feature tour page to know about its other groundbreaking feature representations and documentation, and how to quickly get started for configuration specifications. You can also explore our React Date Range Picker example to understand how to create and manipulate data.

For current customers, you can check out our components from the License and Downloads page. If you are new to Syncfusion, you can try our 30-day free trial to check out our other controls.

If you have any queries or require clarifications, please let us know in the comments section below. You can also contact us through our support forumsDirect-Trac, or feedback portal. We are always happy to assist you!



Did you find this information helpful?
Yes
No
Help us improve this page
Please provide feedback or comments
Comments (0)
Please  to leave a comment
Access denied
Access denied

Articles in this section
Category / Section

How to create an example of angular daterangepicker component using bootstrap theme?

2 mins read

This article describes you about a quick start project that helps you to create an Angular DateRangePicker component with a minimal code configuration in the bootstrap theme.

Angular DateRangePicker

The following section explains the steps required to create a simple Angular DateRangePicker component in the bootstrap theme.

Pre-requisites

Make sure that you have the compatible versions of Angular in your machine before starting to work on this project.

Introduction

The Angular DateRangePicker used in this project is created from the Syncfusion ej2-angular-calendars package. You can simply define it as <ejs-daterangepicker> within the template.

Dependencies

Before starting this project, the Angular DateRangePicker requires to add the Syncfusion ej2-angular-calendars package from the npmjs, which is distributed in the npm as @syncfusion scoped packages.

Creating Angular Project

To create the Angular project using the Angular CLI tool, follow the steps given below.

Install Angular CLI using the following command.

npm install -g @angular/cli
 

 

Now, create a new Angular project by using the command ng new and navigate to that folder.

ng new <project name>
cd <project name>

 

Install the ej2-angular-calendars package through the npm install command.

npm install @syncfusion/ej2-angular-calendars --save

 

Adding Angular DateRangePicker

You can add the Angular DateRangePicker component by using the ejs-daterangepicker directive and the attributes within the tag that allows you to define other functionalities.

Import the DateRangePicker module into the Angular application (app.module.ts) from the ej2-angular-calendars package.

import { BrowserModule } from '@angular/platform-browser';
import { DateRangePickerModule } from '@syncfusion/ej2-angular-calendars';
import { AppCompnent } from './app.component';
 
@NgModule({
    imports: [ BrowserModule,  DateRangePickerModule ],
    declarations: [ AppComponent ],
    bootstrap: [ AppComponent ]
})
 
exports class AppModule {}

 

Define the Angular DateRangePicker code within the app.component.html file mapped against the templateUrl option in the app.component.ts file.

Here, the DateRangePicker component is rendered using the startDate and endDate properties.

[app.component.ts]

import {Component} from '@angular/core';
 
@Component ({
    selector: 'app-root',
    templateUrl: './app.component.html'
})
 
export class AppComponent {
    public start: Date = new Date ("10/07/2017"); 
    public end: Date = new Date ("11/25/2017");
    constructor () {}
}

 

[app.component.html]

<ejs-daterangepicker id='daterangepicker' placeholder='Select a range' [startDate]='start' [endDate]='end'></ejs-daterangepicker>

 

Refer to the CDN link of CSS reference within the index.html file for the bootstrap theme.

[index.html]

<link href="//cdn.syncfusion.com/ej2/bootstrap.css" rel="stylesheet" />
 

 

Run the application with the ng serve command, then the DateRangePicker will be displayed with the start and end dates on the browser as shown below.

Screenshot

DateRangePickerFor more information about the DateRangePicker functionalities, refer to this UG Documentation, API Reference, and Samples.

Did you find this information helpful?
Yes
No
Help us improve this page
Please provide feedback or comments
Comments (0)
Please  to leave a comment
Access denied
Access denied